[build-system]
requires = ["setuptools>=61.2"]
build-backend = "setuptools.build_meta"

[project]
name = "Rivista"
version = "1.0"
description = "A private journal publication and a content management system for XMPP"
authors = [{name = "Schimon Zachary", email = "sch@fedora.email"}]
license = {text = "AGPL-3.0"}
classifiers = [
    "Framework :: slixmpp",
    "Intended Audience :: End Users/Desktop",
    "License :: OSI Approved :: AGPL-3.0 License",
    "Natural Language :: English",
    "Programming Language :: Python",
    "Programming Language :: Python :: 3.10",
    "Topic :: Internet :: Extensible Messaging and Presence Protocol (XMPP)",
    "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: News/Diary",
    "Topic :: Internet :: XMPP",
    "Topic :: Office/Business :: News/Diary",
]
keywords = [
    "atom",
    "blog",
    "cms",
    "gemini",
    "jabber",
    "journal",
    "news",
    "ssg",
    "syndication",
    "xml",
    "xmpp",
]

dependencies = [
    "beautifulsoup4",
    "fastapi",
    "gmcapsule",
    "lxml",
    "markdown",
#   "markdown-text-clean",
#   "md2gemini",
    "python-dateutil",
    "slixmpp",
    "tomli", # Python 3.10
    "uvicorn",
]

[project.urls]
Homepage = "https://schapps.woodpeckersnest.eu/rivista/"
Repository = "https://git.xmpp-it.net/sch/Rivista"
Issues = "https://git.xmpp-it.net/sch/Rivista/issues"

[project.scripts]
rivista = "rivista.__main__:main"

[tool.setuptools]
platforms = ["any"]

[tool.setuptools.package-data]
"*" = ["*.css", "*.js", "*.ico", "*.png", "*.svg", "*.toml", "*.xsl"]
